<?php
$url = isset($_GET['url']) ? $_GET['url'] : '';
$segments = explode('/', $url);
$id = get_id($segments[3]);
$language = $db->table('languages')->where('lang_id','=', $id)->get();
if (lang_is_default('lang_id') == $id){
    $_SESSION['formSuccess'] = false;
    $_SESSION['error_message'] = lang('form_error_lang_is_delete_message', [], 'Varsayılan dil silinemez.');
    m_redirect(ADMIN_URL.'/languages/lists');
}else{
    $delete = $db->table('languages')->where('lang_id','=', $id)->delete();

}
if($delete):
    $posts = posts('data','all', $language['data'][0]['lang_code'] );
    foreach ($posts as $post){
         $db->table('posts')->where('id', '=', $post['id'])->delete();
    }
    $_SESSION['formSuccess'] = true;
    $_SESSION['success_message'] = lang('form_success_delete_message', [], 'Seçilen Kayıt Başarıyla Silindi!');
    m_redirect(ADMIN_URL.'/languages/lists');
else:
    $_SESSION['formSuccess'] = false;
    $_SESSION['error_message'] = lang('form_error_message', [], 'Değişiklikler Kaydedilirken Bir Sorun Yaşandı!');
    m_redirect(ADMIN_URL.'/languages/lists');
endif;